% pinter function
% minimum = 0;  X = [0...0]

function Y = pinter(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample
Xs=[X(:,dim),X,X(:,1)];
Y = sum(repmat([1:1:dim],size(X,1),1).*(Xs(:,2:dim+1)).^2,2)+...
    sum(20*repmat([1:1:dim],size(X,1),1).*(sin(Xs(:,1:dim).*sin(Xs(:,2:dim+1))-Xs(:,2:dim+1)+sin(Xs(:,3:dim+2)))).^2,2)+...
    sum(repmat([1:1:dim],size(X,1),1).*log10(1+repmat([1:1:dim],size(X,1),1).*(Xs(:,1:dim).^2-2*Xs(:,2:dim+1)+3*Xs(:,3:dim+2)-cos(Xs(:,2:dim+1))+1).^2),2);
 
% for maximization prob; max = -1
Y = -Y;